
//-----------------------------------------------------------------------------
// Includes
//-----------------------------------------------------------------------------
#include <SI_EFM8UB1_Register_Enums.h>                  // SFR declarations
#include "InitDevice.h"
#include "VCPXpress.h"
#include "descriptor.h"
#include "USBVCPCommunication_Defs.h"
// $[Generated Includes]
// [Generated Includes]$

//-----------------------------------------------------------------------------
// main() Routine
// ----------------------------------------------------------------------------
int main (void)
{
	// Call hardware initialization routine
	enter_DefaultMode_from_RESET();

	//clear the LCD screen to all white
	InitLCD();

	// VCPXpress Initialization
	USB_Init(&InitStruct);

	// Enable VCPXpress API interrupts
	API_Callback_Enable(myAPICallback);

	// Enable global interrupts
	IE_EA = 1;

	while (1)
   {
		if(USB_PACKET_RECEIVED == TRUE)  	//this flag is set in USBInterface.c
		{
			USB_PACKET_RECEIVED = FALSE;
			ProcessUSBRxPacket();
		}
   }
}


